O Google está aplicando regras rigidas no Android 9.0 para aplicativos novos na Play Store


0

A partir de agosto, ponto em que o Android Q provavelmente será implantado nos aparelhos Pixel da empresa , a Play Store exigirá novos aplicativos para segmentar o nível 28 ou superior da API. API significa interface de programação de aplicativos e o nível 28 do sistema operacional coincide com o número de compilação 9.0.

Em outras palavras, os desenvolvedores que trabalham em aplicativos para Android que desejam ver publicados na Play Store no outono precisarão cumprir as novas regulamentações de interface.

Mesmo mais simples, todos os novos aplicativos do Google Play terão de suportar dispositivos Android Pie-running em seis meses, enquanto os aplicativos existentes não terão mais permissão para receber atualizações direcionadas a uma versão mais antiga do sistema operacional a partir de novembro.

Naturalmente, os desenvolvedores também podem oferecer suporte a quantos tipos de Android antigos quiserem. Mas se eles parar no Oreo ou no Nougat quando o software for compatível com o último sistema operacional, eles não terão permissão para publicar seus aplicativos ou enviar atualizações por meio da Play Store oficial.

Semelhante a um requisito imposto às atualizações de aplicativos em novembro de 2018 para atingir o nível 26 da API (Android 8.0) ou superior, a nova política deve ajudar a “adiantar as proteções de segurança e privacidade do Android”, além de melhorar a experiência geral do usuário em vários maneiras, como impedir que os aplicativos “usem recursos excessivamente acidentais, como bateria e memória”.

Basicamente, à medida que as versões mais recentes do Android continuam aprimorando a segurança do seu telefone e otimizando a experiência do usuário, os aplicativos de terceiros podem oferecer melhor estabilidade e controle de privacidade com metas de nível de API mais altas.

Curiosamente, embora o Google obviamente não possa impor essas regras fora da Play Store, você será avisado a partir de agosto, durante a instalação de um aplicativo que não segmenta o nível 26 da API (Android 8.0) ou superior, independentemente de onde o aplicativo pode vir.

Dessa forma, você saberá que há um risco maior de contrair spyware no seu dispositivo de algum desenvolvedor chinês ou outros atores mal-intencionados.


Gostou? Compartilhe com seus amigos!

0

Deixe Seu Comentário

O seu endereço de e-mail não será publicado.